Bug 1017512 - Using PackStack interactively, Heat CloudWatch API and Heat CloudFormation API installation prompts appear even if Heat not installed
Using PackStack interactively, Heat CloudWatch API and Heat CloudFormation AP...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity medium
: rc
: 4.0
Assigned To: Francesco Vollero
Lon Hohberger
: OtherQA, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 01:01 EDT by Bruce Reeler
Modified: 2016-04-26 13:52 EDT (History)
9 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.14.dev919.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 19:27:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 60282 None None None Never

  None (edit)
Description Bruce Reeler 2013-10-10 01:01:09 EDT
Description of problem:
When using PackStack interactively, Heat CloudWatch API and Heat CloudFormation API installation prompts appear even if Heat not chosen for installation.

Version-Release number of selected component (if applicable):
4.0 Havana

Steps to Reproduce:
1. Run PackStack interactively. Use defaults to installation prompts, except:
2. Choose 'no' for Networking (Neutron)
3. Choose 'no' for Ceilometer
4. Choose 'no' for Heat
5. Use defaults for rest.
6. After about 30 prompts, one gets:
  Should PackStack install Heat Cloudwatch API [y|n] [n]
  Should PackStack install Heat CloudFormation API [y|n] [n

Actual results:
PackStack prompts for Heat Cloudwatch API  & Heat CloudFormation API to be installed.

Expected results:
If Heat has not been chosen to be installed, PackStack should not prompt for these 2 installations?
Comment 2 Alvaro Lopez Ortega 2013-12-05 12:58:55 EST
Gerrit's 60282 has been merged
Comment 3 Scott Lewis 2013-12-09 10:30:42 EST
Adding OtherQA for bugs in MODIFIED
Comment 6 Lon Hohberger 2013-12-11 17:56:48 EST
With: openstack-packstack-2013.2.1-0.18.dev934.el6ost.noarch

Answer 'n' to configuring Heat:

Welcome to Installer setup utility
Enter the path to your ssh Public key to install on servers  [/root/.ssh/id_rsa.pub] : 
Should Packstack install MySQL DB [y|n]  [y] : 
Should Packstack install OpenStack Image Service (Glance) [y|n]  [y] : 
Should Packstack install OpenStack Block Storage (Cinder) service [y|n]  [y] : 
Should Packstack install OpenStack Compute (Nova) service [y|n]  [y] : 
Should Packstack install OpenStack Networking (Neutron) service [y|n]  [y] : 
Should Packstack install OpenStack Dashboard (Horizon) [y|n]  [y] : 
Should Packstack install OpenStack Object Storage (Swift) [y|n]  [n] : 
Should Packstack install OpenStack Metering (Ceilometer) [y|n]  [y] : 
Should Packstack install OpenStack Orchestration (Heat) [y|n]  [n] : 
Should Packstack install OpenStack client tools [y|n]  [y] : 
Enter a comma separated list of NTP server(s). Leave plain if Packstack should not install ntpd on instances.: 
Should Packstack install Nagios to monitor OpenStack hosts [y|n]  [n] : 
Enter a comma separated list of server(s) to be excluded. Leave plain if you don't need to exclude any server.: 
Enter the IP address of the MySQL server  [192.168.122.244] : 
Enter the password for the MySQL admin user :
Confirm password :
Enter the IP address of the QPID service  [192.168.122.244] : 
Enable SSL for the QPID service? [y|n]  [n] : 
Enable Authentication for the QPID service? [y|n]  [n] : 
Enter the IP address of the Keystone server  [192.168.122.244] : 
Enter the password for the Keystone admin user :
Confirm password :
Enter the password for the Keystone demo user :
Confirm password :
Enter the IP address of the Glance server  [192.168.122.244] : 
Enter the IP address of the Cinder server  [192.168.122.244] : 
Enter the Cinder backend to be configured [lvm|gluster|nfs]  [lvm] : 
Should Cinder's volumes group be created (for proof-of-concept installation)? [y|n]  [y] : 
Enter Cinder's volumes group usable size  [20G] : 
Enter the IP address of the Nova API service  [192.168.122.244] : 
Enter the IP address of the Nova Cert service  [192.168.122.244] : 
Enter the IP address of the Nova VNC proxy  [192.168.122.244] : 
Enter a comma separated list of IP addresses on which to install the Nova Compute services  [192.168.122.244] : 
Enter the IP address of the Nova Conductor service  [192.168.122.244] : 
Enter the IP address of the Nova Scheduler service  [192.168.122.244] : 
Enter the CPU overcommitment ratio. Set to 1.0 to disable CPU overcommitment  [16.0] : 
Enter the RAM overcommitment ratio. Set to 1.0 to disable RAM overcommitment  [1.5] : 
Enter the IP address of the Neutron server  [192.168.122.244] : 
Enter a comma separated list of IP addresses on which to install the Neutron L3 agent  [192.168.122.244] : 
Enter the bridge the Neutron L3 agent will use for external traffic, or 'provider' if using provider networks  [br-ex] : 
Enter a comma separated list of IP addresses on which to install Neutron DHCP agent  [192.168.122.244] : 
Enter a comma separated list of IP addresses on which to install Neutron LBaaS agent: 192.168.122.244
Enter the name of the L2 plugin to be used with Neutron [linuxbridge|openvswitch]  [openvswitch] : 
Enter a comma separated list of IP addresses on which to install the Neutron metadata agent  [192.168.122.244] : 
Enter the type of network to allocate for tenant networks [local|vlan|gre]  [local] : 
Enter a comma separated list of VLAN ranges for the Neutron openvswitch plugin: 
Enter a comma separated list of bridge mappings for the Neutron openvswitch plugin: 
Enter a comma separated list of OVS bridge:interface pairs for the Neutron openvswitch plugin: 
Enter the IP address of the client server  [192.168.122.244] : 
Enter the IP address of the Horizon server  [192.168.122.244] : 
Would you like to set up Horizon communication over https [y|n]  [n] : 
Would you like to provision for demo usage and testing? [y|n]  [n] : 
Enter the network address for the floating IP subnet:  [172.24.4.224/28] : 
Would you like to configure Tempest (OpenStack test suite)? [y|n]  [n] : 
Would you like to configure the external ovs bridge? [y|n]  [n] : 
Enter the IP address of the Ceilometer server  [192.168.122.244] : 
To subscribe each server to EPEL enter "y" [y|n]  [n] : 
Enter a comma separated list of URLs to any additional yum repositories to install: 
To subscribe each server to Red Hat enter a username here: 
To subscribe each server to Red Hat enter your password here :
To subscribe each server to Red Hat Enterprise Linux 6 Server Beta channel (only needed for Preview versions of RHOS) enter "y" [y|n]  [n] : 
To subscribe each server with RHN Satellite enter RHN Satellite server URL: 

Installer will be installed using the following configuration:
...


Answering 'y' to configuring heat:

Welcome to Installer setup utility
Enter the path to your ssh Public key to install on servers  [/root/.ssh/id_rsa.pub] : 
Should Packstack install MySQL DB [y|n]  [y] : 
Should Packstack install OpenStack Image Service (Glance) [y|n]  [y] : 
Should Packstack install OpenStack Block Storage (Cinder) service [y|n]  [y] : 
Should Packstack install OpenStack Compute (Nova) service [y|n]  [y] : 
Should Packstack install OpenStack Networking (Neutron) service [y|n]  [y] : 
Should Packstack install OpenStack Dashboard (Horizon) [y|n]  [y] : 
Should Packstack install OpenStack Object Storage (Swift) [y|n]  [n] : 
Should Packstack install OpenStack Metering (Ceilometer) [y|n]  [y] : 
Should Packstack install OpenStack Orchestration (Heat) [y|n]  [n] : y
Should Packstack install OpenStack client tools [y|n]  [y] : 
Enter a comma separated list of NTP server(s). Leave plain if Packstack should not install ntpd on instances.: 
Should Packstack install Nagios to monitor OpenStack hosts [y|n]  [n] : 
Enter a comma separated list of server(s) to be excluded. Leave plain if you don't need to exclude any server.: 
Enter the IP address of the MySQL server  [192.168.122.244] : 
Enter the password for the MySQL admin user :
Confirm password :
Enter the IP address of the QPID service  [192.168.122.244] : 
Enable SSL for the QPID service? [y|n]  [n] : 
Enable Authentication for the QPID service? [y|n]  [n] : 
Enter the IP address of the Keystone server  [192.168.122.244] : 
Enter the password for the Keystone admin user :
Confirm password :
Enter the password for the Keystone demo user :
Confirm password :
Enter the IP address of the Glance server  [192.168.122.244] : 
Enter the IP address of the Cinder server  [192.168.122.244] : 
Enter the Cinder backend to be configured [lvm|gluster|nfs]  [lvm] : 
Should Cinder's volumes group be created (for proof-of-concept installation)? [y|n]  [y] : 
Enter Cinder's volumes group usable size  [20G] : 
Enter the IP address of the Nova API service  [192.168.122.244] : 
Enter the IP address of the Nova Cert service  [192.168.122.244] : 
Enter the IP address of the Nova VNC proxy  [192.168.122.244] : 
Enter a comma separated list of IP addresses on which to install the Nova Compute services  [192.168.122.244] : 
Enter the IP address of the Nova Conductor service  [192.168.122.244] : 
Enter the IP address of the Nova Scheduler service  [192.168.122.244] : 
Enter the CPU overcommitment ratio. Set to 1.0 to disable CPU overcommitment  [16.0] : 
Enter the RAM overcommitment ratio. Set to 1.0 to disable RAM overcommitment  [1.5] : 
Enter the IP address of the Neutron server  [192.168.122.244] : 
Enter a comma separated list of IP addresses on which to install the Neutron L3 agent  [192.168.122.244] : 
Enter the bridge the Neutron L3 agent will use for external traffic, or 'provider' if using provider networks  [br-ex] : 
Enter a comma separated list of IP addresses on which to install Neutron DHCP agent  [192.168.122.244] : 
Enter a comma separated list of IP addresses on which to install Neutron LBaaS agent: 
Enter the name of the L2 plugin to be used with Neutron [linuxbridge|openvswitch]  [openvswitch] : 
Enter a comma separated list of IP addresses on which to install the Neutron metadata agent  [192.168.122.244] : 
Enter the type of network to allocate for tenant networks [local|vlan|gre]  [local] : 
Enter a comma separated list of VLAN ranges for the Neutron openvswitch plugin: 
Enter a comma separated list of bridge mappings for the Neutron openvswitch plugin: 
Enter a comma separated list of OVS bridge:interface pairs for the Neutron openvswitch plugin: 
Enter the IP address of the client server  [192.168.122.244] : 
Enter the IP address of the Horizon server  [192.168.122.244] : 
Would you like to set up Horizon communication over https [y|n]  [n] : 
Would you like to provision for demo usage and testing? [y|n]  [n] : 
Enter the network address for the floating IP subnet:  [172.24.4.224/28] : 
Would you like to configure Tempest (OpenStack test suite)? [y|n]  [n] : 
Would you like to configure the external ovs bridge? [y|n]  [n] : 
Enter the IP address of the Heat service  [192.168.122.244] : 
Should Packstack install Heat CloudWatch API [y|n]  [n] : 
Should Packstack install Heat CloudFormation API [y|n]  [n] : 
...
Comment 8 errata-xmlrpc 2013-12-19 19:27:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html

Note You need to log in before you can comment on or make changes to this bug.